r.unpack(1)

NAME
r.unpack - Imports a GRASS GIS specific raster archive file (packed with r.pack) as a raster map

KEYWORDS
raster, import, copying

SYNOPSIS
r.unpack
r.unpack --help
r.unpack [-op] input=name.pack [output=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-o
    Override projection check (use current location’s projection)
    Assume that the dataset has same projection as the current location

-p
    Print projection information of input pack file and exit

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name.pack [required]
    Name of input pack file

output=name
    Name for output raster map (default: taken from input file internals)

DESCRIPTION
r.unpack allows unpacking raster maps packed by r.pack.

NOTES
Name of the raster map is determined by default from pack file internals. Optionally the name can be given by output parameter. Currently only 2D raster maps are supported.

EXAMPLE
Pack up raster map aspect into aspect.pack file.

r.pack input=aspect

the raster map can be afterwards unpacked by

r.unpack input=aspect.pack

SEE ALSO
r.pack, r.in.gdal, v.pack

AUTHORS
Original Bash script written by Hamish Bowman, Otago University, New Zealand as GRASS AddOns
Converted to Python and updated for GRASS 7 by Martin Landa, CTU in Prague, Czech Republic

SOURCE CODE

Available at: r.unpack source code (history)

Latest change: Thursday Feb 03 11:10:06 2022 in commit: 547ff44e6aecfb4c9cbf6a4717fc14e521bec0be

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.2.2dev Reference Manual